> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtenir Marchand



## OpenAPI

````yaml openapi.json get /marchands/{marchand_id}
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /marchands/{marchand_id}:
    get:
      tags:
        - Marchands
        - Marchands
      summary: Obtenir Marchand
      operationId: obtenir_marchand_marchands__marchand_id__get
      parameters:
        - name: marchand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Marchand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarchandOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarchandOut:
      properties:
        nom:
          type: string
          title: Nom
        contact:
          type: string
          title: Contact
        adresse:
          anyOf:
            - type: string
            - nullable: true
          title: Adresse
        id:
          type: string
          format: uuid
          title: Id
        date_creation:
          type: string
          format: date-time
          title: Date Creation
      type: object
      required:
        - nom
        - contact
        - id
        - date_creation
      title: MarchandOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.